Bug 461 - Enable zone-stats issue
Enable zone-stats issue
Status: RESOLVED FIXED
Product: NSD
Classification: Unclassified
Component: NSD Code
3.2.x
i386 FreeBSD
: P5 major
Assigned To: NSD team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 11:46 CEST by Erwin Lansing
Modified: 2012-07-27 09:46 CEST (History)
1 user (show)

See Also:


Attachments
FreeBSD port options (568 bytes, text/plain)
2012-07-25 11:47 CEST, Erwin Lansing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erwin Lansing 2012-07-25 11:46:24 CEST
FreeBSD 9.0-p3, generic kernel
NSD 3.2.12 compiled from ports (options attached)
Intel Xeon in 64 bit mode within vSphere

NSD running with only one zone (dk.)

Turning on zone_stats makes nod child exit with SIGSEGV when asked for out of zone data:


> dig +short @localhost ds droso.dk
3902 8 2 3EDDA429BEFD5F96339352E486EEC9DE2D632D613CE400CBE3B1A7A8 367DC16D
> dig +short @localhost ds droso.net
...

[1343206207] nsd[90425]: warning: server 93750 died unexpectedly with status 11, restarting


72944: recvfrom(5,"\0/\^A\0\0\^A\0\0\0\0\0\0\^Cns1"...,131337,0x0,{ AF_INET 41.70.182.101:37864 },0x80a38f088) = 30 (0x1e)
72944: SIGNAL 11 (SIGSEGV)
72624: 72944: pselect(process exit, rval = 0
0xa,0x7fffffffd860,0x7fffffffd7e0,0x7fffffffd760,0x7fffffffd8f0,0x0) = 1 (0x1)
72624: SIGNAL 20 (SIGCHLD)
72624: sigreturn(0x7fffffffd2f0,0x2,0x7fffffffd2f0,0x2,0x7fffffffd8f0,0x0) = 1 (0x1)
72624: read(9,0x7fffffffd700,8)			 = 0 (0x0)
72624: close(9)					 = 0 (0x0)
72624: wait4(0x0,0x7fffffffd9e8,0x1,0x0,0x801013150,0x0) = 72944 (0x11cf0)
72624: getpid()					 = 72624 (0x11bb0)
72624: clock_gettime(13,{1343200554.000000000 }) = 0 (0x0)
72624: write(3,"[1343200554] nsd[72624]: warning"...,92) = 92 (0x5c)
72624: socketpair(0x1,0x1,0x0,0x7fffffffd8f0,0xfefefefefefefeff,0x7fffffffd4ab) = 0 (0x0)
72624: fork()					 = 72946 (0x11cf2)
72624: close(10)				 = 0 (0x0)
72624: wait4(0x0,0x7fffffffd9e8,0x1,0x0,0xfefefefefefefeff,0x7fffffffd4ab) = 0 (0x0)
Comment 1 Erwin Lansing 2012-07-25 11:47:36 CEST
Created attachment 209 [details]
FreeBSD port options
Comment 2 Erwin Lansing 2012-07-26 10:24:31 CEST
Let me add that we do use the bind8-stats: statistics: 300
but we don't need per-zone stats, especially given that we only have one zone configured
Comment 3 Matthijs Mekking 2012-07-27 09:46:14 CEST
Fixed in nsd 3.2.13